Bug 35863 - Heimdal on Samba 4 DCs
Heimdal on Samba 4 DCs
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - System diagnostic
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.2-2-errata
Assigned To: Lukas Oyen
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-10 08:28 CEST by Stefan Gohmann
Modified: 2017-09-20 15:03 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
oyen: Patch_Available+


Attachments
35863-diagnostic-heimdal-on-samba4-dc-420.patch (7.69 KB, patch)
2017-06-07 14:54 CEST, Lukas Oyen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-09-10 08:28:51 CEST
We should add a system diagnostic plugin which checks if this system is a Samba 4 DC and Heimdal KDC has been started. In this case the module should link to the system service module and recommend the stop of Heimdal KDC and the restart of the Samba 4 service.
Comment 1 Lukas Oyen univentionstaff 2017-06-07 14:54:33 CEST
Created attachment 8908 [details]
35863-diagnostic-heimdal-on-samba4-dc-420.patch

The attached patch adds a new check `heimdal_on_samba4_dc.py`. This checks on machines with the `Samba 4` service, if `samba-tool processes` shows `kdc_server`.

If not, it is checked if `kerberos/autostart` is enabled or if Heimdal KDC is running as those may prevent Samba from starting the `kdc_server` component.

A critical error is shown, if `kdc_server` is not running.
Comment 2 Lukas Oyen univentionstaff 2017-08-01 16:25:20 CEST
Committed in r81605 - r81606 (advisory r81649).
Comment 3 Arvid Requate univentionstaff 2017-08-24 21:48:06 CEST
Ok worked with

/etc/init.d/samba stop
ucr set kerberos/autostart=yes
_SYSTEMCTL_SKIP_REDIRECT=yes /etc/init.d/heimdal-kdc start
/etc/init.d/samba start
Comment 4 Erik Damrose univentionstaff 2017-09-20 15:03:36 CEST
<http://errata.software-univention.de/ucs/4.2/166.html>